<?php
require_once 'Api.php';

$accessToken = 'YOUR_TOKEN_HERE';

$api = new Api($accessToken);

// SINGLE DELETE
try {
    $delete = $api->deleteContact('000aa000-a0a0-000a-000a-0a00a0a0a0a0');
    print_r($delete);
} catch (Exception $exception) {
    die($exception->getMessage());
}


// MULTI DELETE
$contacts = [
    'info@smartmailer.cz',
    'info@sample.cz',
    'delete@gmail.com',
];

try {
    $delete = $api->deleteContacts($contacts, '000aa000-a0a0-000a-000a-0a00a0a0a0a0');
    print_r($delete);
} catch (Exception $exception) {
    die($exception->getMessage());
}

// INSERT/UPDATE
$contacts = [
    'contacts' => [
        [
            'FNAME' => 'Josef',
            'LNAME' => 'Novák',
            'EMAIL' => 'josefnovak@smartmailer.cz',
            'PHONE' => '111222333',
            'COUNTRY' => 'cz',
            'LANG' => 'cs',
        ],
        [
            'FNAME' => 'Jana',
            'LNAME' => 'Nováková',
            'EMAIL' => 'jananovakova@smartmailer.cz',
            'PHONE' => '111222333',
            'COUNTRY' => 'cz',
            'LANG' => 'cs',
        ],
        [
            'FNAME' => 'Petr',
            'LNAME' => 'Černý',
            'EMAIL' => 'petrcerny@smartmailer.cz',
            'PHONE' => '111222333',
            'COUNTRY' => 'cz',
            'LANG' => 'cs',
        ],
    ],
];

try {
    $insert = $api->insertContacts('000aa000-a0a0-000a-000a-0a00a0a0a0a0', $contacts);
    print_r($insert);
} catch (Exception $exception) {
    die($exception->getMessage());
}
