<?php

if (!defined('_PS_VERSION_')) {
    exit;
}


function upgrade_module_2_1_3($module)
{
    // Resime DEPRECATED pro nove PS, kde je jeste stary hook historicky, aby nebylo nutne reinstalovat modul.
    $id_module = (int)Module::getModuleIdByName($module->name);
    if ($id_module > 0) {
        $old_hook_id = (int)Hook::getIdByName('Header', false);
        if ($old_hook_id > 0 && Db::getInstance()->getValue("SELECT `id_module` FROM `" . _DB_PREFIX_ . "hook_module` WHERE `id_module` = $id_module && `id_hook` = $old_hook_id")) {
            $module->unregisterHook('Header');
            $module->registerHook('displayHeader');
        }
        $old_hook_id = (int)Hook::getIdByName('Footer', false);
        if ($old_hook_id > 0 && Db::getInstance()->getValue("SELECT `id_module` FROM `" . _DB_PREFIX_ . "hook_module` WHERE `id_module` = $id_module && `id_hook` = $old_hook_id")) {
            $module->unregisterHook('Footer');
            $module->registerHook('displayFooter');
        }
    }

    $states = OrderState::getOrderStates((int)Configuration::get('PS_LANG_DEFAULT'));
    $state_realized = [];
    if ($states) {
        $id_stavu_zruseno = (int)Configuration::get('PS_OS_CANCELED');
        $id_stavu_vraceno = (int)Configuration::get('PS_OS_REFUND');
        $id_stavu_chyba = (int)Configuration::get('PS_OS_ERROR');
        foreach ($states as $s) {
            $id_order_state = (int)$s['id_order_state'];
            if ($id_order_state != $id_stavu_zruseno && $id_order_state != $id_stavu_vraceno && $id_order_state != $id_stavu_chyba) {
                $state_realized[$id_order_state] = $id_order_state;
            }
        }
    }
    Configuration::updateValue($module->name . '_state_realized', serialize($state_realized));
    return true;
}
