<?php

/**
 * @license https://psmoduly.cz/ ; Licenční podmínky: https://psmoduly.cz/content/8-licencni-podminky ; Obchodní
 *     podmínky: https://psmoduly.cz/content/3-obchodni-podminky
 * @copyright: 2014-2024 Dominik "Shaim" Ulrich
 * @author: Dominik "Shaim" Ulrich
 * E-mail: info@psmoduly.cz / info@openservis.cz
 * Websites: www.psmoduly.cz / www.openservis.cz
 **/


$customers_csv = (isset($_GET['customers_csv']) ? true : false);
$orders_csv = (isset($_GET['orders_csv']) ? true : false);


if ($customers_csv || $orders_csv) {
    if (!defined('_PS_ADMIN_DIR_')) {
        define('_PS_ADMIN_DIR_', __DIR__); /* Timto definujeme, ze chceme admin, aby nam tam fungoval context! Jinak by se pouzilo init.php, cimz vlastne definujeme context FO*/
    }
    require_once(__DIR__ . '/../../config/config.inc.php');
    if (!Context::getContext()->employee || !Context::getContext()->employee->isLoggedBack()) {
        die('Tato funkce je dostupná pouze pro přihlášené administrátory!');
    }
} else {
    require_once(__DIR__ . '/../../config/config.inc.php');
    require_once(__DIR__ . '/../../init.php');
}

$tmp = explode(DIRECTORY_SEPARATOR, __DIR__);
$module_name = end($tmp);
require_once($module_name . ".php");

$module = new $module_name();
$module->Cron($customers_csv, $orders_csv);

/**
 * @license https://psmoduly.cz/ ; Licenční podmínky: https://psmoduly.cz/content/8-licencni-podminky ; Obchodní
 *     podmínky: https://psmoduly.cz/content/3-obchodni-podminky
 * @copyright: 2014-2024 Dominik "Shaim" Ulrich
 * @author: Dominik "Shaim" Ulrich
 * E-mail: info@psmoduly.cz / info@openservis.cz
 * Websites: www.psmoduly.cz / www.openservis.cz
 **/
